Name: libsodium
Version: 1.0.16
Release: 1
License: ISC
Summary: A modern, portable, easy to use crypto library
Url: https://github.com/jedisct1/libsodium

Source0: https://github.com/jedisct1/libsodium/releases/download/%{version}/libsodium-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.

It is a portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API, and an extended API to improve usability even further.

Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

Sodium supports a variety of compilers and operating systems, including Windows (with MingW or Visual Studio, x86 and x64), iOS, Android, as well as Javascript and Webassembly.

%package -n libsodium23
Summary: libarchive library

%description -n libsodium23
Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.

It is a portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API, and an extended API to improve usability even further.

Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

Sodium supports a variety of compilers and operating systems, including Windows (with MingW or Visual Studio, x86 and x64), iOS, Android, as well as Javascript and Webassembly.

%package devel
Summary: libsodium development files
Requires: libsodium23

%description devel
libsodium development files


%prep
%setup -q

%build
./autogen.sh

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --disable-ssp \
  --disable-asm \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  # end

%make_build


%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libsodium23
%defattr(-, qsys, *none)

%{_libdir}/libsodium.so.23

%files devel
%defattr(-, qsys, *none)

%{_includedir}/sodium/version.h
%{_includedir}/sodium/crypto_kdf.h
%{_includedir}/sodium/crypto_aead_chacha20poly1305.h
%{_includedir}/sodium/randombytes_sysrandom.h
%{_includedir}/sodium/crypto_aead_xchacha20poly1305.h
%{_includedir}/sodium/crypto_stream_xsalsa20.h
%{_includedir}/sodium/export.h
%{_includedir}/sodium/crypto_pwhash_argon2id.h
%{_includedir}/sodium/crypto_auth_hmacsha512.h
%{_includedir}/sodium/crypto_secretstream_xchacha20poly1305.h
%{_includedir}/sodium/crypto_core_hchacha20.h
%{_includedir}/sodium/randombytes.h
%{_includedir}/sodium/crypto_onetimeauth.h
%{_includedir}/sodium/crypto_pwhash_scryptsalsa208sha256.h
%{_includedir}/sodium/crypto_auth_hmacsha256.h
%{_includedir}/sodium/crypto_scalarmult.h
%{_includedir}/sodium/crypto_pwhash_argon2i.h
%{_includedir}/sodium/crypto_shorthash_siphash24.h
%{_includedir}/sodium/crypto_core_salsa20.h
%{_includedir}/sodium/crypto_pwhash.h
%{_includedir}/sodium/crypto_stream_salsa20.h
%{_includedir}/sodium/crypto_stream.h
%{_includedir}/sodium/crypto_core_hsalsa20.h
%{_includedir}/sodium/crypto_core_salsa2012.h
%{_includedir}/sodium/crypto_scalarmult_ed25519.h
%{_includedir}/sodium/crypto_hash_sha512.h
%{_includedir}/sodium/crypto_core_ed25519.h
%{_includedir}/sodium/crypto_shorthash.h
%{_includedir}/sodium/crypto_kdf_blake2b.h
%{_includedir}/sodium/crypto_verify_64.h
%{_includedir}/sodium/crypto_sign.h
%{_includedir}/sodium/crypto_stream_xchacha20.h
%{_includedir}/sodium/crypto_box.h
%{_includedir}/sodium/crypto_generichash.h
%{_includedir}/sodium/randombytes_salsa20_random.h
%{_includedir}/sodium/crypto_auth_hmacsha512256.h
%{_includedir}/sodium/crypto_stream_salsa208.h
%{_includedir}/sodium/crypto_hash_sha256.h
%{_includedir}/sodium/crypto_secretbox_xsalsa20poly1305.h
%{_includedir}/sodium/crypto_box_curve25519xchacha20poly1305.h
%{_includedir}/sodium/crypto_secretbox.h
%{_includedir}/sodium/crypto_verify_32.h
%{_includedir}/sodium/crypto_stream_chacha20.h
%{_includedir}/sodium/crypto_generichash_blake2b.h
%{_includedir}/sodium/crypto_secretbox_xchacha20poly1305.h
%{_includedir}/sodium/crypto_auth.h
%{_includedir}/sodium/crypto_onetimeauth_poly1305.h
%{_includedir}/sodium/crypto_box_curve25519xsalsa20poly1305.h
%{_includedir}/sodium/crypto_verify_16.h
%{_includedir}/sodium/crypto_sign_edwards25519sha512batch.h
%{_includedir}/sodium/runtime.h
%{_includedir}/sodium/crypto_hash.h
%{_includedir}/sodium/crypto_stream_salsa2012.h
%{_includedir}/sodium/crypto_sign_ed25519.h
%{_includedir}/sodium/crypto_scalarmult_curve25519.h
%{_includedir}/sodium/crypto_core_salsa208.h
%{_includedir}/sodium/utils.h
%{_includedir}/sodium/core.h
%{_includedir}/sodium/crypto_aead_aes256gcm.h
%{_includedir}/sodium/crypto_kx.h
%{_includedir}/sodium.h

%{_libdir}/pkgconfig/libsodium.pc

%{_libdir}/libsodium.so


%changelog
